
var tipoDmunoClinete=0;
//buscion abrir venta buscar provedor
$("#busprovedor").click(function() {

    tipoDmunoClinete=1;
    $('#provedorm').modal('show');
    $('#tablacli tr').remove();
});

$("#busproCliGas").click(function() {
    tipoDmunoClinete=2;
    $('#provedorm').modal('show');
    $('#tablacli tr').remove();
});
$("#busproCliPago").click(function() {
    tipoDmunoClinete=3;
    $('#provedorm').modal('show');
    $('#tablacli tr').remove();
});



//funcion buscar provedor por boton buscar
$("#busprov").on("click", function() {

    var provedorr = $("#busprovedorr").val();

    busprovedor(provedorr);

});



//funcion buscar provedor ventana modal

function busprovedor(proved) {
    $('#tablacli tr').remove();
    let Buscatipocliente=$("#Buscatipocliente").val();
    $.ajax({
        data: { "provedor": proved,"Buscatipocliente":Buscatipocliente }, //datos que se envian a traves de ajax
        url: "../controlador/config/cliente.php", //archivo que recibe la peticion
        type: 'post', //método de envio

        // beforeSend: function () {
        //    alert("Procesando, espere por favor...");
        // },
        success: function(response) { //una vez que el archivo recibe el request lo procesa y lo devuelve
            //$("#resultado").html(response);

            var respuest = JSON.parse(response);

            $.each(respuest, function(index, respuesta) {

                var cedlu = respuesta["cedula"];
                var Nombre = respuesta["Nombre"];
                var Apellido = respuesta["apellido"];
                var Direccion = respuesta["direccion"];
                var telefono = respuesta["telefono"];
                let correo = respuesta["correo"];
                let puntos = respuesta["puntos"];
                $("#tablacli").append("<tr><th >" + cedlu + " </th> <th >" + Nombre + " " + Apellido + " </th> <th >" + Direccion + " </th> <th >" + telefono + " </th><th >" + correo + " </th><th >" + puntos + " </th>");
            });



        }


    });

}


$("#tablacli").on("dblclick", "tr", function() {

    var id = $(this).find(':first-child').text();

    var e = jQuery.Event("keypress");
    e.which = 13;
    e.keyCode = 13;
    e.keyCode = 13;


    $("#nit").val(id);

    $("#nit").trigger(e);
    //simular enter 

    console.log(tipoDmunoClinete)
if(tipoDmunoClinete==1){
    let campobuscprovedor=document.getElementById("buscprovedor");
    if(campobuscprovedor){
        
        campobuscprovedor.value=id;
        $("#buscprovedor").trigger(e);

    }

}else if (tipoDmunoClinete==2){
    let campobuscprovedor=document.getElementById("ceducligasto");
       
    if(campobuscprovedor){
        
        campobuscprovedor.value=id;
        $("#buscarcliengastos").click();

    }

}

else if (tipoDmunoClinete==3){
    let campobuscprovedor=document.getElementById("ceduclipago");
       
    if(campobuscprovedor){
        
        campobuscprovedor.value=id;
        $("#buscarclienPagos").click();

    }

}
   


    $("#salirPr").click();

   






});

